uuagc

SemHsTokens

# Documentation

sem_HsToken_AGLocal :: Identifier -> Pos -> Maybe String -> T_HsToken

sem_HsToken_CharToken :: String -> Pos -> T_HsToken

sem_HsToken_Err :: String -> Pos -> T_HsToken

sem_HsToken_HsToken :: String -> Pos -> T_HsToken

sem_HsToken_StrToken :: String -> Pos -> T_HsToken

sem_HsTokens :: HsTokens -> T_HsTokens

newtype T_HsTokens

Constructors

T_HsTokens ([(Identifier, Type, ChildKind)] -> [Identifier] -> [(Identifier, Identifier)] -> Identifier -> [Identifier] -> Identifier -> (Seq Error, HsTokens, [(Pos, String)], [(Identifier, Identifier)], Seq Identifier, [Identifier])) |

data Inh_HsTokens

Constructors

Inh_HsTokens |
Fields allfields_Inh_HsTokens :: [(Identifier, Type, ChildKind)] allnts_Inh_HsTokens :: [Identifier] attrs_Inh_HsTokens :: [(Identifier, Identifier)] con_Inh_HsTokens :: Identifier fieldnames_Inh_HsTokens :: [Identifier] nt_Inh_HsTokens :: Identifier

data Syn_HsTokens

Constructors

Syn_HsTokens |
Fields errors_Syn_HsTokens :: Seq Error output_Syn_HsTokens :: HsTokens tks_Syn_HsTokens :: [(Pos, String)] usedAttrs_Syn_HsTokens :: [(Identifier, Identifier)] usedFields_Syn_HsTokens :: Seq Identifier usedLocals_Syn_HsTokens :: [Identifier]

wrap_HsTokens :: T_HsTokens -> Inh_HsTokens -> Syn_HsTokens

sem_HsTokens_Cons :: T_HsToken -> T_HsTokens -> T_HsTokens

sem_HsTokens_Nil :: T_HsTokens

sem_HsTokensRoot :: HsTokensRoot -> T_HsTokensRoot

newtype T_HsTokensRoot

Constructors

T_HsTokensRoot ([(Identifier, Type, ChildKind)] -> [Identifier] -> [(Identifier, Identifier)] -> Identifier -> Identifier -> (Seq Error, [HsToken], [String], [(Identifier, Identifier)], [Identifier], [Identifier])) |

data Inh_HsTokensRoot

Constructors

Inh_HsTokensRoot |
Fields allfields_Inh_HsTokensRoot :: [(Identifier, Type, ChildKind)] allnts_Inh_HsTokensRoot :: [Identifier] attrs_Inh_HsTokensRoot :: [(Identifier, Identifier)] con_Inh_HsTokensRoot :: Identifier nt_Inh_HsTokensRoot :: Identifier

data Syn_HsTokensRoot

Constructors

Syn_HsTokensRoot |
Fields errors_Syn_HsTokensRoot :: Seq Error output_Syn_HsTokensRoot :: [HsToken] textLines_Syn_HsTokensRoot :: [String] usedAttrs_Syn_HsTokensRoot :: [(Identifier, Identifier)] usedFields_Syn_HsTokensRoot :: [Identifier] usedLocals_Syn_HsTokensRoot :: [Identifier]

wrap_HsTokensRoot :: T_HsTokensRoot -> Inh_HsTokensRoot -> Syn_HsTokensRoot

sem_HsTokensRoot_HsTokensRoot :: T_HsTokens -> T_HsTokensRoot

sem_HsToken :: HsToken -> T_HsToken

newtype T_HsToken

Constructors

T_HsToken ([(Identifier, Type, ChildKind)] -> [Identifier] -> [(Identifier, Identifier)] -> Identifier -> [Identifier] -> Identifier -> (Seq Error, HsToken, (Pos, String), [(Identifier, Identifier)], Seq Identifier, [Identifier])) |

data Inh_HsToken

Constructors

Inh_HsToken |
Fields allfields_Inh_HsToken :: [(Identifier, Type, ChildKind)] allnts_Inh_HsToken :: [Identifier] attrs_Inh_HsToken :: [(Identifier, Identifier)] con_Inh_HsToken :: Identifier fieldnames_Inh_HsToken :: [Identifier] nt_Inh_HsToken :: Identifier

data Syn_HsToken

Constructors

Syn_HsToken |
Fields errors_Syn_HsToken :: Seq Error output_Syn_HsToken :: HsToken tok_Syn_HsToken :: (Pos, String) usedAttrs_Syn_HsToken :: [(Identifier, Identifier)] usedFields_Syn_HsToken :: Seq Identifier usedLocals_Syn_HsToken :: [Identifier]

wrap_HsToken :: T_HsToken -> Inh_HsToken -> Syn_HsToken

sem_HsToken_AGField :: Identifier -> Identifier -> Pos -> Maybe String -> T_HsToken